Index: contrib/debian/control
===================================================================
--- contrib/debian/control	(revision 335)
+++ contrib/debian/control	(revision 431)
@@ -5,5 +5,5 @@
 Build-Depends: debhelper ( >= 7.3.9),
  cmake, make, gcc, bison, flex,
- libsctp-dev, libgnutls-dev, libgcrypt-dev, libpq-dev
+ libsctp-dev, libgnutls-dev, libgcrypt-dev, libpq-dev, libmysqlclient-dev
 Standards-Version: 3.8.3
 Homepage: http://www.freediameter.net
@@ -72,4 +72,17 @@
  This extension does not require a configuration file.
 
+Package: freediameter-dictionary-rfc4740
+Architecture: any
+Depends: ${misc:Depends}
+Description: RFC4740 (Diameter SIP) dictionary support.
+ This freeDiameter extension provides the dictionary support
+ for commands and AVP defined in RFC4740 (Diameter SIP).
+ .
+ In order to use this extension, your main freeDiameter 
+ configuration file must contain a LoadExtension directive. 
+ See freeDiameter documentation for more details. 
+ .
+ This extension does not require a configuration file.
+
 Package: freediameter-radius-gateway
 Architecture: any
@@ -89,4 +102,6 @@
                 Requests For Comments: RADIUS: 2865, 3162, 2868,
 		2869, 3579; Diameter: 4005, 4072.
+  - sip.rgwx  : Convert Access-Request to Diameter SIP messages.
+                Requests For Comments: Diameter: 4740.
   - acct.rgwx : Converts Accounting-Request (2866) to Diameter 
                 ACR (3588).
@@ -115,8 +130,32 @@
  See app_acct.conf.sample for more details.
 
+Package: freediameter-eap-server
+Architecture: any
+Depends: ${misc:Depends}, freediameter-daemon (= ${binary:Version}), mysql-client
+Description: freeDiameter Diameter EAP server implementation.
+ This freeDiameter extension implements a Diameter EAP server. 
+ It supports EAP-MD5 and EAP-TLS methods currently.
+ .
+ In order to use this extension, your main freeDiameter 
+ configuration file must contain a LoadExtension directive. 
+ See freeDiameter documentation for more details. 
+ .
+ This extension requires a configuration file.
+ See app_diameap.conf.sample and 
+ http://diameap.yagami.freediameter.net for more details.
 
+Package: freediameter-sip-server
+Architecture: any
+Depends: ${misc:Depends}, freediameter-daemon (= ${binary:Version}), mysql-client
+Description: freeDiameter Diameter SIP server implementation.
+ This freeDiameter extension implements a Diameter SIP server.
+ See http://www.freediameter.net/trac/wiki/app_sip.fdx for
+ status information.
+ .
+ In order to use this extension, your main freeDiameter 
+ configuration file must contain a LoadExtension directive. 
+ See freeDiameter documentation for more details. 
+ .
+ This extension requires a configuration file.
+ See app_sip.conf.sample for more details.
 
-
-
-
-
Index: contrib/debian/freediameter-daemon.install
===================================================================
--- contrib/debian/freediameter-daemon.install	(revision 328)
+++ contrib/debian/freediameter-daemon.install	(revision 431)
@@ -2,2 +2,3 @@
 usr/lib/freeDiameter/acl_wl.fdx
 usr/lib/freeDiameter/rt_default.fdx
+usr/lib/freeDiameter/dbg_monitor.fdx
Index: contrib/debian/freediameter-debug-tools.install
===================================================================
--- contrib/debian/freediameter-debug-tools.install	(revision 328)
+++ contrib/debian/freediameter-debug-tools.install	(revision 431)
@@ -1,3 +1,2 @@
 usr/lib/freeDiameter/dbg_rt.fdx
-usr/lib/freeDiameter/dbg_monitor.fdx
 usr/lib/freeDiameter/test_app.fdx
Index: contrib/debian/freediameter-dictionary-rfc4740.install
===================================================================
--- contrib/debian/freediameter-dictionary-rfc4740.install	(revision 431)
+++ contrib/debian/freediameter-dictionary-rfc4740.install	(revision 431)
@@ -0,0 +1,1 @@
+usr/lib/freeDiameter/dict_sip.fdx
Index: contrib/debian/freediameter-eap-server.examples
===================================================================
--- contrib/debian/freediameter-eap-server.examples	(revision 431)
+++ contrib/debian/freediameter-eap-server.examples	(revision 431)
@@ -0,0 +1,2 @@
+doc/app_diameap.conf.sample
+doc/eap_tls_plugin.diameap.conf.sample
Index: contrib/debian/freediameter-eap-server.install
===================================================================
--- contrib/debian/freediameter-eap-server.install	(revision 431)
+++ contrib/debian/freediameter-eap-server.install	(revision 431)
@@ -0,0 +1,2 @@
+usr/lib/freeDiameter/app_diameap.fdx
+usr/lib/freeDiameter/*.emp
Index: contrib/debian/freediameter-sip-server.examples
===================================================================
--- contrib/debian/freediameter-sip-server.examples	(revision 431)
+++ contrib/debian/freediameter-sip-server.examples	(revision 431)
@@ -0,0 +1,2 @@
+doc/app_sip.conf.sample
+doc/test_sip.conf.sample
Index: contrib/debian/freediameter-sip-server.install
===================================================================
--- contrib/debian/freediameter-sip-server.install	(revision 431)
+++ contrib/debian/freediameter-sip-server.install	(revision 431)
@@ -0,0 +1,1 @@
+usr/lib/freeDiameter/app_sip.fdx
Index: contrib/debian/rules
===================================================================
--- contrib/debian/rules	(revision 341)
+++ contrib/debian/rules	(revision 431)
@@ -28,9 +28,14 @@
 		-DDEFAULT_CONF_PATH:PATH=/etc/freeDiameter \
 		-DBUILD_APP_ACCT:BOOL=ON \
+		-DBUILD_APP_DIAMEAP:BOOL=ON \
+		-DBUILD_EAP_MD5:BOOL=ON \
+		-DBUILD_EAP_TLS:BOOL=ON \
 		-DBUILD_APP_RADGW:BOOL=ON \
+		-DBUILD_RGWX_SIP:BOOL=ON \
+		-DBUILD_APP_SIP:BOOL=ON \
 		-DBUILD_DBG_MONITOR:BOOL=ON \
 		-DBUILD_DBG_RT:BOOL=ON \
 		-DBUILD_TEST_APP:BOOL=ON \
-		-DBUILD_APP_ACCT:BOOL=ON
+		-DBUILD_TEST_SIP:BOOL=ON
 		
 
